Subject: bug#49937: 28.0.50; feature/pgtk: tetris blocks are comparatively larger

From: Alan Third <[email-masked]>
Date: Sat, 21 Aug 2021 13:30:49 +0100

On Tue, Aug 10, 2021 at 04:55:24PM +0200, Robert Pluim wrote:
> >>>>> On Tue, 10 Aug 2021 14:51:44 +0200, Lars Ingebrigtsen <[email-masked]> said:
> 
>     Lars> Alan Third <[email-masked]> writes:
>     >> They're images, ostensibly 7mm in height but it appears on X (and NS)
>     >> they're much smaller. I imagine it depends on the screen's reported
>     >> DPI since the gamegrid code appears to calculate the size using it.
> 
>     Lars> I think this is bug#47039 -- pgtk scales images correctly, which images
>     Lars> found via `find-image' are not scaled correctly on the trunk.
> 
> The images in this case are created on the fly by gamegrid.el, which
> uses 'display-mm-height', which gives the wrong answer under X:
> 
> ELISP> (display-mm-height)
> 572
> 
> In pgtk itʼs correct:
> 
> ELISP> (display-mm-height)
> 190 (#o276, #xbe)
> 
> We could change gamegrid.el to use 'display-monitor-attributes-list'
> instead, that gives the right values under both:

Sounds reasonable to me, although I wonder if we'll get a bunch of bug
reports complaining their tetris is too big for their screen now. ;)

Alternatively, should we fix display-mm-height to give the correct
value? Presumably it must be possible. I think we manage to display
SVG images at the correct size by calculating the real DPI...

(Except on macOS where the "DPI" is a magic number decided by Apple.)
-- 
Alan Third